| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Functions
ToolHandle.h File Reference
`#include "GaudiKernel/GaudiHandle.h"`
`#include "GaudiKernel/IAlgTool.h"`
`#include "GaudiKernel/INamedInterface.h"`
`#include "GaudiKernel/IToolSvc.h"`
`#include "GaudiKernel/ServiceHandle.h"`
`#include <stdexcept>`
`#include <string>`
`#include <type_traits>`
`#include <vector>`
Include dependency graph for ToolHandle.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | ToolHandleInfo
| General info and helper functions for toolhandles and arrays. More...
class | BaseToolHandle
| Non-templated base class for actual ToolHandle<T>. More...
class | ToolHandle< T >
| Handle to be used in lieu of naked pointers to tools. More...
class | PublicToolHandle< T >
| Helper class to construct ToolHandle instances for public tools via the auto registering constructor. More...
class | ToolHandleArray< T >
| Array of Handles to be used in lieu of vector of naked pointers to tools. More...
class | PublicToolHandleArray< T >
| Helper class to construct ToolHandle instances for public tools via the auto registering constructor. More...

## Functions
template<class T >
std::ostream & | operator<< (std::ostream &os, const ToolHandle< T > &handle)
template<class T >
std::ostream & | operator<< (std::ostream &os, const ToolHandleArray< T > &handle)

## Function Documentation

template<class T >

std::ostream& operator<< | ( | std::ostream & | os,
|  | const ToolHandle< T > & | handle
| ) |  |
| inline

Definition at line 414 of file ToolHandle.h.

415 {
416 return operator<<( os, static_cast<const GaudiHandleInfo&>( handle ) );
417 }
template<class T >

std::ostream& operator<< | ( | std::ostream & | os,
|  | const ToolHandleArray< T > & | handle
| ) |  |
| inline

Definition at line 420 of file ToolHandle.h.

421 {
422 return operator<<( os, static_cast<const GaudiHandleInfo&>( handle ) );
423 }